List skills

Base URL
https://{kibana_url}
  • GET /api/agent_builder/skills
  • GET /s/{space_id}/api/agent_builder/skills
Auth

List all available skills (built-in and user-created). To learn more about Agent Builder skills, refer to the skills documentation.

Required authorization

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

include_plugins boolean · default: false

Set to true to include skills from plugins.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}